Skip to content

List Notifications

GET
/api/canvas/notifications
curl --request GET \
--url 'https://example.com/api/canvas/notifications?limit=30' \
--header 'Authorization: Bearer <token>'

Fetch paginated in-app notifications for the current user.

Returns notifications across all deals, newest first.

limit
Limit
integer
default: 30 >= 1 <= 50
before_timestamp
Any of:
number

Successful Response

Media type application/json
NotificationsListResponse
object
notifications
required
Notifications
Array<object>
NotificationItem
object
id
required
Id
string
type
required
Type
string
deal_id
required
Deal Id
string
deal_name
required
Deal Name
string
comment_id
required
Comment Id
string
section_key
Any of:
string
actor_id
required
Actor Id
string
actor_name
required
Actor Name
string
actor_avatar_url
Any of:
string
snippet
required
Snippet
string
created_at
required
Created At
string
is_read
required
Is Read
boolean
canvas_url
Any of:
string
unread_count
required
Unread Count
integer
has_more
required
Has More
boolean
Example generated
{
"notifications": [
{
"id": "example",
"type": "example",
"deal_id": "example",
"deal_name": "example",
"comment_id": "example",
"section_key": "example",
"actor_id": "example",
"actor_name": "example",
"actor_avatar_url": "example",
"snippet": "example",
"created_at": "example",
"is_read": true,
"canvas_url": "example"
}
],
"unread_count": 1,
"has_more": true
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}